# Uses of Class
javafx.print.PrintResolution

Packages that use PrintResolution
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of PrintResolution in javafx.print

Methods in javafx.print that return PrintResolution
Modifier and Type
Method
Description
`PrintResolution`
PrinterAttributes.`getDefaultPrintResolution()`
Return the default print resolution for paper on this printer.
`PrintResolution`
JobSettings.`getPrintResolution()`
Methods in javafx.print that return types with arguments of type PrintResolution
Modifier and Type
Method
Description
`Set<PrintResolution>`
PrinterAttributes.`getSupportedPrintResolutions()`
Returns an unmodifiable set of the supported print resolutions for this printer.
`final ObjectProperty<PrintResolution>`
JobSettings.`printResolutionProperty()`
Property representing an instance of `PrintResolution`.
Methods in javafx.print with parameters of type PrintResolution
Modifier and Type
Method
Description
`void`
JobSettings.`setPrintResolution(PrintResolution resolution)`
Set the `PrintResolution` property.